Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

Wi-Fi Combo Forum Discussions

Anonymous
Not applicable

IDE installer 3.5.2 is available for Windows environment.

But I couldn't find any newer version pkg for OS X.

Should I install SDK 3.1.2 and then update SDK to 3.5.2?

Or does Broadcom have any plan to release pkg?

Reference URL:

WICED Wi-Fi FAQ

WICED Software Development Kit 3.1.2

WICED SDK 3.5.2 IDE Installer and .7z Source files

0 Likes
1 Solution

WICED Wi-Fi Documents & Downloads

v3.1.2 appears to be the last version that supported an installer process on Mac/OSX

For versions after that one, newer updates will need to be applied manually.  I don't think this process is dependent upon which version of the Eclipse GUI was used as others have taken this path in the past.

View solution in original post

0 Likes
5 Replies
Anonymous
Not applicable

I also would like some more info about this but I did managed to figure out that you can use the command line tools on OS X with 3.5.2.

Just type something like "./make snip.nfc.tag_reader-BCM943341WCD1 download run" in the

make is an executable in the sdk root folder

snip.nfc.tag_reader is the folder where the code is located, you can replace this to any example or your own code

BCM943341WCD1 is the target platform

"download run" will flash the code onto your broadcom chip and run it.

Listen to the serial port with a baudrate of 115200 to se the output from the device.

This is about as much as I have managed to figure out.

Anonymous
Not applicable

Thank you for your helpful comment.

But I'd like to know whether GUI environment will be released.

So I'll keep this thread open and wait for answer from Broadcom.

0 Likes

I am not aware of a OSX version of SDK 3.5.2 installer that is being planned.

Please used the method proposed to upgrade your OSX base install with the latest version as that should work per the instructions here: How to import a WICED SDK into an existing WICED Eclipse IDE (2)

Also adding the Wi-Fi Applications team for confirmation: gangi​  abirjepatil​  rashijainvik86

0 Likes
Anonymous
Not applicable

So Do you mean SDK3.1.2 is the latest version of GUI on OS X for now?

What I'm asking is which version GUI needs to be based on before importing SDK3.5.2.

0 Likes

WICED Wi-Fi Documents & Downloads

v3.1.2 appears to be the last version that supported an installer process on Mac/OSX

For versions after that one, newer updates will need to be applied manually.  I don't think this process is dependent upon which version of the Eclipse GUI was used as others have taken this path in the past.

0 Likes